import { Command, flags } from '@oclif/command';
export default class History extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        columns: flags.IOptionFlag<string | undefined>;
        sort: flags.IOptionFlag<string | undefined>;
        filter: flags.IOptionFlag<string | undefined>;
        csv: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        output: flags.IOptionFlag<string | undefined>;
        extended: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-truncate': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-header': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    run(): Promise<void>;
}
