"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const readPipe = () => {
    return new Promise(resolve => {
        const stdin = process.openStdin();
        stdin.setEncoding('utf-8');
        let data = '';
        stdin.on('data', chunk => {
            data += chunk;
        });
        stdin.on('end', () => {
            resolve(data);
        });
        if (stdin.isTTY) {
            resolve('');
        }
    });
};
exports.default = readPipe;
